using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace QuizoPlugins
{
	public partial class Form_SelectionInfoSB : Form
	{
		public Form_SelectionInfoSB()
		{
			InitializeComponent();

			string[] resStrsMenus;

			if( System.Globalization.CultureInfo.CurrentCulture.Parent.Name == "ja" )
			{
				resStrsMenus = Resource.sel2status_ja.Split( new char[] { ';' } );
			}
			else
			{
				resStrsMenus = Resource.sel2status.Split( new char[] { ';' } );
			}

			this.chbFolSize.Text = resStrsMenus[0];
			this.chbMod.Text = resStrsMenus[1];
			this.chbCrt.Text = resStrsMenus[2];
			this.chbAtt.Text = resStrsMenus[3];
			this.chbDrive.Text = resStrsMenus[4];

			bool[] modes = SelectionInfoToStatusBar.ReadSettings();
			if( modes != null )
			{
				this.chbFolSize.Checked = modes[0];
				this.chbMod.Checked = modes[1];
				this.chbCrt.Checked = modes[2];
				this.chbAtt.Checked = modes[3];
				this.chbDrive.Checked = modes[4];
			}
		}

		private void btnOK_Click( object sender, EventArgs e )
		{
			SelectionInfoToStatusBar.currentMode[0] = this.chbFolSize.Checked;
			SelectionInfoToStatusBar.currentMode[1] = this.chbMod.Checked;
			SelectionInfoToStatusBar.currentMode[2] = this.chbCrt.Checked;
			SelectionInfoToStatusBar.currentMode[3] = this.chbAtt.Checked;
			SelectionInfoToStatusBar.currentMode[4] = this.chbDrive.Checked;

			SelectionInfoToStatusBar.SaveSettigns();

			this.DialogResult = DialogResult.OK;
		}
	}
}